%define _python_bytecompile_errors_terminate_build 0


Name: kate
Summary: Advanced text editor
Version: 23.08.5
Group: Graphical desktop/KDE5
Release: %mkrel 1
License: GPLv2 and LGPLv2
Source: http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
#Patch0: allow-root.patch
BuildRequires:  cmake
BuildRequires:  kf5-macros
#------------------------------------------------------

BuildRequires: git-devel
BuildRequires: %{_lib}hunspell-devel
BuildRequires: %{_lib}xslt-devel
BuildRequires: lib64qjson-qt5-devel

BuildRequires: binutils-devel
BuildRequires: boost-devel
BuildRequires: libltdl-devel
BuildRequires: antlr-tool
BuildRequires: antlr3-C
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl

BuildRequires: kconfig-devel
BuildRequires: kdoctools-devel
BuildRequires: kguiaddons-devel
BuildRequires: kiconthemes-devel
BuildRequires: ki18n-devel
BuildRequires: kinit-devel
BuildRequires: kjobwidgets-devel
BuildRequires: kio-devel
BuildRequires: kparts-devel
BuildRequires: ktexteditor-devel
BuildRequires: kwindowsystem-devel
BuildRequires: kxmlgui-devel
BuildRequires: kiconthemes-devel
BuildRequires: kwallet-devel
BuildRequires: plasma-framework-devel
BuildRequires: kitemmodels-devel
BuildRequires: threadweaver-devel
BuildRequires: knewstuff-devel
BuildRequires: kcrash-devel
BuildRequires: kactivities5-devel

Requires: konsole
Requires: ktexteditor


%description
A multi-document, multi-view text editor for KDE.

%files
%{_datadir}/locale/*/LC_MESSAGES/kate*
%{_bindir}/kate
%{_datadir}/applications/org.kde.kate.desktop
%{_datadir}/kateproject/kateproject.example
%{_datadir}/katexmltools
%{_datadir}/kconf_update/katesession_migration.upd
%{_datadir}/kconf_update/migrate_kate_sessions_applet_to_kdeplasma-addons.sh
%{_datadir}/locale/*/LC_MESSAGES/lspclient.*
%{_datadir}/metainfo/org.kde.kate.appdata.xml
#------------------------------------------------------------------------------

%package handbook
Summary: Kate handbook
BuildArch: noarch
Requires:  kate
Group: Documentation 
%description handbook
This package provides kate handbook

%files handbook
%doc %_kf5_docdir/HTML/*/kate
%doc %_kf5_docdir/HTML/*/katepart
%_mandir/man1/kate.1.*
%_mandir/*/man1/kate.1.*
 #------------------------------------------------------------------------------
 
%package -n ktexteditor-plugins
Summary: Ktexteditor interfaces
Group: Graphical desktop/KDE5
Provides: kate-plugin-pate

%description -n ktexteditor-plugins
The KTextEditor interfaces - also called KTE interfaces - are a set of
well-defined interfaces which an application or library can implement to provide
advanced plain text editing services.

%files -n ktexteditor-plugins
%_qt5_plugindir/ktexteditor
/usr/lib64/libkateprivate.so.*

#------------------------------------------------------------------------------

%package -n kwrite
Summary: Simple text editor for KDE 4
Group: Graphical desktop/KDE5
Requires: ktexteditor

%description -n kwrite
KWrite is a text editor for KDE, based on the Kate's editor component.
Features :
    Syntax highlighting according to the file type
    Word completion
    Auto-identation
    Plugin support
    Vi input mode

%files -n kwrite
%_kf5_bindir/kwrite
%_kf5_datadir/applications/org.kde.kwrite.desktop
%_iconsdir/*/*/*/*
%_kf5_datadir/metainfo/org.kde.kwrite.appdata.xml
%_kf5_datadir/locale/*/LC_MESSAGES/tabswitcherplugin.mo
%_kf5_datadir/locale/*/LC_MESSAGES/ktexteditorpreviewplugin.mo
#------------------------------------------------------------------------------

%package -n kwrite-handbook
Summary: Kwrite handbook
Requires:  kwrite
BuildArch: noarch
Group: Documentation 

%description -n kwrite-handbook
This package provides Kwrite handbook

%files -n kwrite-handbook
%doc %_kf5_docdir/HTML/*/kwrite

#------------------------------------------------------------------------------

%prep
%setup -q 
%autopatch -p1


%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja -Wno-dev
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build

# Remove static libs
rm -rf %{buildroot}/%{_kde_libdir}/libacomment.a

#stop kate from adding to favorits
rm -rf %buildroot/%_kf5_datadir/kservices5/plasma-applet-org.kde.plasma.katesessions.desktop


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Editors" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

